package com.dhcc.finance.main.domain;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class CwGlInitbuildBExample {

	protected String orderByClause;
	protected boolean distinct;
	protected List<Criteria> oredCriteria;

	public CwGlInitbuildBExample() {
		oredCriteria = new ArrayList<Criteria>();
	}

	public void setOrderByClause(String orderByClause) {
		this.orderByClause = orderByClause;
	}

	public String getOrderByClause() {
		return orderByClause;
	}

	public void setDistinct(boolean distinct) {
		this.distinct = distinct;
	}

	public boolean isDistinct() {
		return distinct;
	}

	public List<Criteria> getOredCriteria() {
		return oredCriteria;
	}

	public void or(Criteria criteria) {
		oredCriteria.add(criteria);
	}

	public Criteria or() {
		Criteria criteria = createCriteriaInternal();
		oredCriteria.add(criteria);
		return criteria;
	}

	public Criteria createCriteria() {
		Criteria criteria = createCriteriaInternal();
		if (oredCriteria.size() == 0) {
			oredCriteria.add(criteria);
		}
		return criteria;
	}

	protected Criteria createCriteriaInternal() {
		Criteria criteria = new Criteria();
		return criteria;
	}

	public void clear() {
		oredCriteria.clear();
		orderByClause = null;
		distinct = false;
	}

	protected abstract static class GeneratedCriteria {
		protected List<Criterion> criteria;

		protected GeneratedCriteria() {
			super();
			criteria = new ArrayList<Criterion>();
		}

		public boolean isValid() {
			return criteria.size() > 0;
		}

		public List<Criterion> getAllCriteria() {
			return criteria;
		}

		public List<Criterion> getCriteria() {
			return criteria;
		}

		protected void addCriterion(String condition) {
			if (condition == null) {
				throw new RuntimeException("Value for condition cannot be null");
			}
			criteria.add(new Criterion(condition));
		}

		protected void addCriterion(String condition, Object value, String property) {
			if (value == null) {
				throw new RuntimeException("Value for " + property + " cannot be null");
			}
			criteria.add(new Criterion(condition, value));
		}

		protected void addCriterion(String condition, Object value1, Object value2, String property) {
			if (value1 == null || value2 == null) {
				throw new RuntimeException("Between values for " + property + " cannot be null");
			}
			criteria.add(new Criterion(condition, value1, value2));
		}

		public Criteria andPkInitbuildBIsNull() {
			addCriterion("PK_INITBUILD_B is null");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildBIsNotNull() {
			addCriterion("PK_INITBUILD_B is not null");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildBEqualTo(String value) {
			addCriterion("PK_INITBUILD_B =", value, "pkInitbuildB");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildBNotEqualTo(String value) {
			addCriterion("PK_INITBUILD_B <>", value, "pkInitbuildB");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildBGreaterThan(String value) {
			addCriterion("PK_INITBUILD_B >", value, "pkInitbuildB");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildBGreaterThanOrEqualTo(String value) {
			addCriterion("PK_INITBUILD_B >=", value, "pkInitbuildB");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildBLessThan(String value) {
			addCriterion("PK_INITBUILD_B <", value, "pkInitbuildB");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildBLessThanOrEqualTo(String value) {
			addCriterion("PK_INITBUILD_B <=", value, "pkInitbuildB");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildBLike(String value) {
			addCriterion("PK_INITBUILD_B like", value, "pkInitbuildB");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildBNotLike(String value) {
			addCriterion("PK_INITBUILD_B not like", value, "pkInitbuildB");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildBIn(List<String> values) {
			addCriterion("PK_INITBUILD_B in", values, "pkInitbuildB");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildBNotIn(List<String> values) {
			addCriterion("PK_INITBUILD_B not in", values, "pkInitbuildB");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildBBetween(String value1, String value2) {
			addCriterion("PK_INITBUILD_B between", value1, value2, "pkInitbuildB");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildBNotBetween(String value1, String value2) {
			addCriterion("PK_INITBUILD_B not between", value1, value2, "pkInitbuildB");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildIsNull() {
			addCriterion("PK_INITBUILD is null");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildIsNotNull() {
			addCriterion("PK_INITBUILD is not null");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildEqualTo(String value) {
			addCriterion("PK_INITBUILD =", value, "pkInitbuild");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildNotEqualTo(String value) {
			addCriterion("PK_INITBUILD <>", value, "pkInitbuild");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildGreaterThan(String value) {
			addCriterion("PK_INITBUILD >", value, "pkInitbuild");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildGreaterThanOrEqualTo(String value) {
			addCriterion("PK_INITBUILD >=", value, "pkInitbuild");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildLessThan(String value) {
			addCriterion("PK_INITBUILD <", value, "pkInitbuild");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildLessThanOrEqualTo(String value) {
			addCriterion("PK_INITBUILD <=", value, "pkInitbuild");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildLike(String value) {
			addCriterion("PK_INITBUILD like", value, "pkInitbuild");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildNotLike(String value) {
			addCriterion("PK_INITBUILD not like", value, "pkInitbuild");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildIn(List<String> values) {
			addCriterion("PK_INITBUILD in", values, "pkInitbuild");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildNotIn(List<String> values) {
			addCriterion("PK_INITBUILD not in", values, "pkInitbuild");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildBetween(String value1, String value2) {
			addCriterion("PK_INITBUILD between", value1, value2, "pkInitbuild");
			return (Criteria) this;
		}

		public Criteria andPkInitbuildNotBetween(String value1, String value2) {
			addCriterion("PK_INITBUILD not between", value1, value2, "pkInitbuild");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeIsNull() {
			addCriterion("PK_CURRTYPE is null");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeIsNotNull() {
			addCriterion("PK_CURRTYPE is not null");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeEqualTo(String value) {
			addCriterion("PK_CURRTYPE =", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeNotEqualTo(String value) {
			addCriterion("PK_CURRTYPE <>", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeGreaterThan(String value) {
			addCriterion("PK_CURRTYPE >", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeGreaterThanOrEqualTo(String value) {
			addCriterion("PK_CURRTYPE >=", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeLessThan(String value) {
			addCriterion("PK_CURRTYPE <", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeLessThanOrEqualTo(String value) {
			addCriterion("PK_CURRTYPE <=", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeLike(String value) {
			addCriterion("PK_CURRTYPE like", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeNotLike(String value) {
			addCriterion("PK_CURRTYPE not like", value, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeIn(List<String> values) {
			addCriterion("PK_CURRTYPE in", values, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeNotIn(List<String> values) {
			addCriterion("PK_CURRTYPE not in", values, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeBetween(String value1, String value2) {
			addCriterion("PK_CURRTYPE between", value1, value2, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andPkCurrtypeNotBetween(String value1, String value2) {
			addCriterion("PK_CURRTYPE not between", value1, value2, "pkCurrtype");
			return (Criteria) this;
		}

		public Criteria andDebitamountIsNull() {
			addCriterion("DEBITAMOUNT is null");
			return (Criteria) this;
		}

		public Criteria andDebitamountIsNotNull() {
			addCriterion("DEBITAMOUNT is not null");
			return (Criteria) this;
		}

		public Criteria andDebitamountEqualTo(BigDecimal value) {
			addCriterion("DEBITAMOUNT =", value, "debitamount");
			return (Criteria) this;
		}

		public Criteria andDebitamountNotEqualTo(BigDecimal value) {
			addCriterion("DEBITAMOUNT <>", value, "debitamount");
			return (Criteria) this;
		}

		public Criteria andDebitamountGreaterThan(BigDecimal value) {
			addCriterion("DEBITAMOUNT >", value, "debitamount");
			return (Criteria) this;
		}

		public Criteria andDebitamountGreaterThanOrEqualTo(BigDecimal value) {
			addCriterion("DEBITAMOUNT >=", value, "debitamount");
			return (Criteria) this;
		}

		public Criteria andDebitamountLessThan(BigDecimal value) {
			addCriterion("DEBITAMOUNT <", value, "debitamount");
			return (Criteria) this;
		}

		public Criteria andDebitamountLessThanOrEqualTo(BigDecimal value) {
			addCriterion("DEBITAMOUNT <=", value, "debitamount");
			return (Criteria) this;
		}

		public Criteria andDebitamountIn(List<BigDecimal> values) {
			addCriterion("DEBITAMOUNT in", values, "debitamount");
			return (Criteria) this;
		}

		public Criteria andDebitamountNotIn(List<BigDecimal> values) {
			addCriterion("DEBITAMOUNT not in", values, "debitamount");
			return (Criteria) this;
		}

		public Criteria andDebitamountBetween(BigDecimal value1, BigDecimal value2) {
			addCriterion("DEBITAMOUNT between", value1, value2, "debitamount");
			return (Criteria) this;
		}

		public Criteria andDebitamountNotBetween(BigDecimal value1, BigDecimal value2) {
			addCriterion("DEBITAMOUNT not between", value1, value2, "debitamount");
			return (Criteria) this;
		}

		public Criteria andCreditamountIsNull() {
			addCriterion("CREDITAMOUNT is null");
			return (Criteria) this;
		}

		public Criteria andCreditamountIsNotNull() {
			addCriterion("CREDITAMOUNT is not null");
			return (Criteria) this;
		}

		public Criteria andCreditamountEqualTo(BigDecimal value) {
			addCriterion("CREDITAMOUNT =", value, "creditamount");
			return (Criteria) this;
		}

		public Criteria andCreditamountNotEqualTo(BigDecimal value) {
			addCriterion("CREDITAMOUNT <>", value, "creditamount");
			return (Criteria) this;
		}

		public Criteria andCreditamountGreaterThan(BigDecimal value) {
			addCriterion("CREDITAMOUNT >", value, "creditamount");
			return (Criteria) this;
		}

		public Criteria andCreditamountGreaterThanOrEqualTo(BigDecimal value) {
			addCriterion("CREDITAMOUNT >=", value, "creditamount");
			return (Criteria) this;
		}

		public Criteria andCreditamountLessThan(BigDecimal value) {
			addCriterion("CREDITAMOUNT <", value, "creditamount");
			return (Criteria) this;
		}

		public Criteria andCreditamountLessThanOrEqualTo(BigDecimal value) {
			addCriterion("CREDITAMOUNT <=", value, "creditamount");
			return (Criteria) this;
		}

		public Criteria andCreditamountIn(List<BigDecimal> values) {
			addCriterion("CREDITAMOUNT in", values, "creditamount");
			return (Criteria) this;
		}

		public Criteria andCreditamountNotIn(List<BigDecimal> values) {
			addCriterion("CREDITAMOUNT not in", values, "creditamount");
			return (Criteria) this;
		}

		public Criteria andCreditamountBetween(BigDecimal value1, BigDecimal value2) {
			addCriterion("CREDITAMOUNT between", value1, value2, "creditamount");
			return (Criteria) this;
		}

		public Criteria andCreditamountNotBetween(BigDecimal value1, BigDecimal value2) {
			addCriterion("CREDITAMOUNT not between", value1, value2, "creditamount");
			return (Criteria) this;
		}

		public Criteria andLocaldebitamountIsNull() {
			addCriterion("LOCALDEBITAMOUNT is null");
			return (Criteria) this;
		}

		public Criteria andLocaldebitamountIsNotNull() {
			addCriterion("LOCALDEBITAMOUNT is not null");
			return (Criteria) this;
		}

		public Criteria andLocaldebitamountEqualTo(BigDecimal value) {
			addCriterion("LOCALDEBITAMOUNT =", value, "localdebitamount");
			return (Criteria) this;
		}

		public Criteria andLocaldebitamountNotEqualTo(BigDecimal value) {
			addCriterion("LOCALDEBITAMOUNT <>", value, "localdebitamount");
			return (Criteria) this;
		}

		public Criteria andLocaldebitamountGreaterThan(BigDecimal value) {
			addCriterion("LOCALDEBITAMOUNT >", value, "localdebitamount");
			return (Criteria) this;
		}

		public Criteria andLocaldebitamountGreaterThanOrEqualTo(BigDecimal value) {
			addCriterion("LOCALDEBITAMOUNT >=", value, "localdebitamount");
			return (Criteria) this;
		}

		public Criteria andLocaldebitamountLessThan(BigDecimal value) {
			addCriterion("LOCALDEBITAMOUNT <", value, "localdebitamount");
			return (Criteria) this;
		}

		public Criteria andLocaldebitamountLessThanOrEqualTo(BigDecimal value) {
			addCriterion("LOCALDEBITAMOUNT <=", value, "localdebitamount");
			return (Criteria) this;
		}

		public Criteria andLocaldebitamountIn(List<BigDecimal> values) {
			addCriterion("LOCALDEBITAMOUNT in", values, "localdebitamount");
			return (Criteria) this;
		}

		public Criteria andLocaldebitamountNotIn(List<BigDecimal> values) {
			addCriterion("LOCALDEBITAMOUNT not in", values, "localdebitamount");
			return (Criteria) this;
		}

		public Criteria andLocaldebitamountBetween(BigDecimal value1, BigDecimal value2) {
			addCriterion("LOCALDEBITAMOUNT between", value1, value2, "localdebitamount");
			return (Criteria) this;
		}

		public Criteria andLocaldebitamountNotBetween(BigDecimal value1, BigDecimal value2) {
			addCriterion("LOCALDEBITAMOUNT not between", value1, value2, "localdebitamount");
			return (Criteria) this;
		}

		public Criteria andLocalcreditamountIsNull() {
			addCriterion("LOCALCREDITAMOUNT is null");
			return (Criteria) this;
		}

		public Criteria andLocalcreditamountIsNotNull() {
			addCriterion("LOCALCREDITAMOUNT is not null");
			return (Criteria) this;
		}

		public Criteria andLocalcreditamountEqualTo(BigDecimal value) {
			addCriterion("LOCALCREDITAMOUNT =", value, "localcreditamount");
			return (Criteria) this;
		}

		public Criteria andLocalcreditamountNotEqualTo(BigDecimal value) {
			addCriterion("LOCALCREDITAMOUNT <>", value, "localcreditamount");
			return (Criteria) this;
		}

		public Criteria andLocalcreditamountGreaterThan(BigDecimal value) {
			addCriterion("LOCALCREDITAMOUNT >", value, "localcreditamount");
			return (Criteria) this;
		}

		public Criteria andLocalcreditamountGreaterThanOrEqualTo(BigDecimal value) {
			addCriterion("LOCALCREDITAMOUNT >=", value, "localcreditamount");
			return (Criteria) this;
		}

		public Criteria andLocalcreditamountLessThan(BigDecimal value) {
			addCriterion("LOCALCREDITAMOUNT <", value, "localcreditamount");
			return (Criteria) this;
		}

		public Criteria andLocalcreditamountLessThanOrEqualTo(BigDecimal value) {
			addCriterion("LOCALCREDITAMOUNT <=", value, "localcreditamount");
			return (Criteria) this;
		}

		public Criteria andLocalcreditamountIn(List<BigDecimal> values) {
			addCriterion("LOCALCREDITAMOUNT in", values, "localcreditamount");
			return (Criteria) this;
		}

		public Criteria andLocalcreditamountNotIn(List<BigDecimal> values) {
			addCriterion("LOCALCREDITAMOUNT not in", values, "localcreditamount");
			return (Criteria) this;
		}

		public Criteria andLocalcreditamountBetween(BigDecimal value1, BigDecimal value2) {
			addCriterion("LOCALCREDITAMOUNT between", value1, value2, "localcreditamount");
			return (Criteria) this;
		}

		public Criteria andLocalcreditamountNotBetween(BigDecimal value1, BigDecimal value2) {
			addCriterion("LOCALCREDITAMOUNT not between", value1, value2, "localcreditamount");
			return (Criteria) this;
		}

		public Criteria andAssidIsNull() {
			addCriterion("ASSID is null");
			return (Criteria) this;
		}

		public Criteria andAssidIsNotNull() {
			addCriterion("ASSID is not null");
			return (Criteria) this;
		}

		public Criteria andAssidEqualTo(String value) {
			addCriterion("ASSID =", value, "assid");
			return (Criteria) this;
		}

		public Criteria andAssidNotEqualTo(String value) {
			addCriterion("ASSID <>", value, "assid");
			return (Criteria) this;
		}

		public Criteria andAssidGreaterThan(String value) {
			addCriterion("ASSID >", value, "assid");
			return (Criteria) this;
		}

		public Criteria andAssidGreaterThanOrEqualTo(String value) {
			addCriterion("ASSID >=", value, "assid");
			return (Criteria) this;
		}

		public Criteria andAssidLessThan(String value) {
			addCriterion("ASSID <", value, "assid");
			return (Criteria) this;
		}

		public Criteria andAssidLessThanOrEqualTo(String value) {
			addCriterion("ASSID <=", value, "assid");
			return (Criteria) this;
		}

		public Criteria andAssidLike(String value) {
			addCriterion("ASSID like", value, "assid");
			return (Criteria) this;
		}

		public Criteria andAssidNotLike(String value) {
			addCriterion("ASSID not like", value, "assid");
			return (Criteria) this;
		}

		public Criteria andAssidIn(List<String> values) {
			addCriterion("ASSID in", values, "assid");
			return (Criteria) this;
		}

		public Criteria andAssidNotIn(List<String> values) {
			addCriterion("ASSID not in", values, "assid");
			return (Criteria) this;
		}

		public Criteria andAssidBetween(String value1, String value2) {
			addCriterion("ASSID between", value1, value2, "assid");
			return (Criteria) this;
		}

		public Criteria andAssidNotBetween(String value1, String value2) {
			addCriterion("ASSID not between", value1, value2, "assid");
			return (Criteria) this;
		}

		public Criteria andUseStateIsNull() {
			addCriterion("USE_STATE is null");
			return (Criteria) this;
		}

		public Criteria andUseStateIsNotNull() {
			addCriterion("USE_STATE is not null");
			return (Criteria) this;
		}

		public Criteria andUseStateEqualTo(String value) {
			addCriterion("USE_STATE =", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateNotEqualTo(String value) {
			addCriterion("USE_STATE <>", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateGreaterThan(String value) {
			addCriterion("USE_STATE >", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateGreaterThanOrEqualTo(String value) {
			addCriterion("USE_STATE >=", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateLessThan(String value) {
			addCriterion("USE_STATE <", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateLessThanOrEqualTo(String value) {
			addCriterion("USE_STATE <=", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateLike(String value) {
			addCriterion("USE_STATE like", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateNotLike(String value) {
			addCriterion("USE_STATE not like", value, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateIn(List<String> values) {
			addCriterion("USE_STATE in", values, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateNotIn(List<String> values) {
			addCriterion("USE_STATE not in", values, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateBetween(String value1, String value2) {
			addCriterion("USE_STATE between", value1, value2, "useState");
			return (Criteria) this;
		}

		public Criteria andUseStateNotBetween(String value1, String value2) {
			addCriterion("USE_STATE not between", value1, value2, "useState");
			return (Criteria) this;
		}

		public Criteria andCreateUserIsNull() {
			addCriterion("CREATE_USER is null");
			return (Criteria) this;
		}

		public Criteria andCreateUserIsNotNull() {
			addCriterion("CREATE_USER is not null");
			return (Criteria) this;
		}

		public Criteria andCreateUserEqualTo(String value) {
			addCriterion("CREATE_USER =", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserNotEqualTo(String value) {
			addCriterion("CREATE_USER <>", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserGreaterThan(String value) {
			addCriterion("CREATE_USER >", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserGreaterThanOrEqualTo(String value) {
			addCriterion("CREATE_USER >=", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserLessThan(String value) {
			addCriterion("CREATE_USER <", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserLessThanOrEqualTo(String value) {
			addCriterion("CREATE_USER <=", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserLike(String value) {
			addCriterion("CREATE_USER like", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserNotLike(String value) {
			addCriterion("CREATE_USER not like", value, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserIn(List<String> values) {
			addCriterion("CREATE_USER in", values, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserNotIn(List<String> values) {
			addCriterion("CREATE_USER not in", values, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserBetween(String value1, String value2) {
			addCriterion("CREATE_USER between", value1, value2, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateUserNotBetween(String value1, String value2) {
			addCriterion("CREATE_USER not between", value1, value2, "createUser");
			return (Criteria) this;
		}

		public Criteria andCreateTimeIsNull() {
			addCriterion("CREATE_TIME is null");
			return (Criteria) this;
		}

		public Criteria andCreateTimeIsNotNull() {
			addCriterion("CREATE_TIME is not null");
			return (Criteria) this;
		}

		public Criteria andCreateTimeEqualTo(Date value) {
			addCriterion("CREATE_TIME =", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeNotEqualTo(Date value) {
			addCriterion("CREATE_TIME <>", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeGreaterThan(Date value) {
			addCriterion("CREATE_TIME >", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
			addCriterion("CREATE_TIME >=", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeLessThan(Date value) {
			addCriterion("CREATE_TIME <", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
			addCriterion("CREATE_TIME <=", value, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeIn(List<Date> values) {
			addCriterion("CREATE_TIME in", values, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeNotIn(List<Date> values) {
			addCriterion("CREATE_TIME not in", values, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeBetween(Date value1, Date value2) {
			addCriterion("CREATE_TIME between", value1, value2, "createTime");
			return (Criteria) this;
		}

		public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
			addCriterion("CREATE_TIME not between", value1, value2, "createTime");
			return (Criteria) this;
		}

		public Criteria andUpdateUserIsNull() {
			addCriterion("UPDATE_USER is null");
			return (Criteria) this;
		}

		public Criteria andUpdateUserIsNotNull() {
			addCriterion("UPDATE_USER is not null");
			return (Criteria) this;
		}

		public Criteria andUpdateUserEqualTo(String value) {
			addCriterion("UPDATE_USER =", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserNotEqualTo(String value) {
			addCriterion("UPDATE_USER <>", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserGreaterThan(String value) {
			addCriterion("UPDATE_USER >", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserGreaterThanOrEqualTo(String value) {
			addCriterion("UPDATE_USER >=", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserLessThan(String value) {
			addCriterion("UPDATE_USER <", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserLessThanOrEqualTo(String value) {
			addCriterion("UPDATE_USER <=", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserLike(String value) {
			addCriterion("UPDATE_USER like", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserNotLike(String value) {
			addCriterion("UPDATE_USER not like", value, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserIn(List<String> values) {
			addCriterion("UPDATE_USER in", values, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserNotIn(List<String> values) {
			addCriterion("UPDATE_USER not in", values, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserBetween(String value1, String value2) {
			addCriterion("UPDATE_USER between", value1, value2, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateUserNotBetween(String value1, String value2) {
			addCriterion("UPDATE_USER not between", value1, value2, "updateUser");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeIsNull() {
			addCriterion("UPDATE_TIME is null");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeIsNotNull() {
			addCriterion("UPDATE_TIME is not null");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeEqualTo(Date value) {
			addCriterion("UPDATE_TIME =", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeNotEqualTo(Date value) {
			addCriterion("UPDATE_TIME <>", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeGreaterThan(Date value) {
			addCriterion("UPDATE_TIME >", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
			addCriterion("UPDATE_TIME >=", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeLessThan(Date value) {
			addCriterion("UPDATE_TIME <", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
			addCriterion("UPDATE_TIME <=", value, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeIn(List<Date> values) {
			addCriterion("UPDATE_TIME in", values, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeNotIn(List<Date> values) {
			addCriterion("UPDATE_TIME not in", values, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeBetween(Date value1, Date value2) {
			addCriterion("UPDATE_TIME between", value1, value2, "updateTime");
			return (Criteria) this;
		}

		public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
			addCriterion("UPDATE_TIME not between", value1, value2, "updateTime");
			return (Criteria) this;
		}

		public Criteria andRemarkIsNull() {
			addCriterion("REMARK is null");
			return (Criteria) this;
		}

		public Criteria andRemarkIsNotNull() {
			addCriterion("REMARK is not null");
			return (Criteria) this;
		}

		public Criteria andRemarkEqualTo(String value) {
			addCriterion("REMARK =", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkNotEqualTo(String value) {
			addCriterion("REMARK <>", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkGreaterThan(String value) {
			addCriterion("REMARK >", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkGreaterThanOrEqualTo(String value) {
			addCriterion("REMARK >=", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkLessThan(String value) {
			addCriterion("REMARK <", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkLessThanOrEqualTo(String value) {
			addCriterion("REMARK <=", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkLike(String value) {
			addCriterion("REMARK like", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkNotLike(String value) {
			addCriterion("REMARK not like", value, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkIn(List<String> values) {
			addCriterion("REMARK in", values, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkNotIn(List<String> values) {
			addCriterion("REMARK not in", values, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkBetween(String value1, String value2) {
			addCriterion("REMARK between", value1, value2, "remark");
			return (Criteria) this;
		}

		public Criteria andRemarkNotBetween(String value1, String value2) {
			addCriterion("REMARK not between", value1, value2, "remark");
			return (Criteria) this;
		}
	}

	public static class Criteria extends GeneratedCriteria {
		protected Criteria() {
			super();
		}
	}

	public static class Criterion {
		private String condition;
		private Object value;
		private Object secondValue;
		private boolean noValue;
		private boolean singleValue;
		private boolean betweenValue;
		private boolean listValue;
		private String typeHandler;

		public String getCondition() {
			return condition;
		}

		public Object getValue() {
			return value;
		}

		public Object getSecondValue() {
			return secondValue;
		}

		public boolean isNoValue() {
			return noValue;
		}

		public boolean isSingleValue() {
			return singleValue;
		}

		public boolean isBetweenValue() {
			return betweenValue;
		}

		public boolean isListValue() {
			return listValue;
		}

		public String getTypeHandler() {
			return typeHandler;
		}

		protected Criterion(String condition) {
			super();
			this.condition = condition;
			this.typeHandler = null;
			this.noValue = true;
		}

		protected Criterion(String condition, Object value, String typeHandler) {
			super();
			this.condition = condition;
			this.value = value;
			this.typeHandler = typeHandler;
			if (value instanceof List<?>) {
				this.listValue = true;
			} else {
				this.singleValue = true;
			}
		}

		protected Criterion(String condition, Object value) {
			this(condition, value, null);
		}

		protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
			super();
			this.condition = condition;
			this.value = value;
			this.secondValue = secondValue;
			this.typeHandler = typeHandler;
			this.betweenValue = true;
		}

		protected Criterion(String condition, Object value, Object secondValue) {
			this(condition, value, secondValue, null);
		}
	}
   
}